Subject: Re: bug#19907: 24.4; mml-mode PGP encryption should do case-insensitive matches on e-mail address

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 Sep 2019 18:33:18 +0200

Daniel Kahn Gillmor <[email-masked]> writes:

> I use notmuch-emacs as my MUA.  When i go to send mail, it uses mml-mode
> to compose a message, just like this bug report.
>
> If i try to sign the mail using C-RET c p ( which is
> mml-secure-message-sign-encrypt), it inserts the mml signing tag like
> this (but without the space between the first anglebracket and the #):
>
>     < #secure method=pgpmime mode=signencrypt>
>
> When it goes to encrypt upon sending, though, it chooses the encryption
> key(s) by doing a case-sensitive match on the recipient e-mail address.
> This match should be case-insensitive.

It should.

I've tried to reproduce the error, but I'm unable to -- do you know
where is this matching done?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no